<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');

$fecha = date("Y-m-d H:i:s");

//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;
$dato_fecha_reno = explode("-", $fecha_reno_emp_fact);
$ano_reno_emp_fact=$dato_fecha_reno[0];
$mes_reno_emp_fact=$dato_fecha_reno[1];
$dia_reno_emp_fact=$dato_fecha_reno[2];
$fecha_reno_emp_fact;

$sqlFactElectr = "SELECT * FROM empresa WHERE id_emp_fact = $id_emp_fact";
$conFactElectr = $bdFactElectr->consulta($sqlFactElectr);
$resFactElectr = $bdFactElectr->fetch_assoc($conFactElectr);
$cant_emp_fact_actual = $resFactElectr['cant_emp_fact'];


$sqlACTFACT = "UPDATE empresa SET cant_emp_fact = $cant_emp_fact, estado_emp_fact = $estado_emp_fact, reso_emp_fact = $reso_emp_fact, prefijo_emp_fact = '$prefijo_emp_fact', dia_reno_emp_fact = '$dia_reno_emp_fact', mes_reno_emp_fact = '$mes_reno_emp_fact', ano_reno_emp_fact = '$ano_reno_emp_fact' WHERE id_emp_fact = $id_emp_fact";
$ACTFACT = $bdFactElectr->consulta("$sqlACTFACT");	
//$texto = 'Actualizó correctamente en la base de datos';

if($cant_emp_fact_actual != $cant_emp_fact):
    $sqlACTFACTCan = "UPDATE empresa SET fecha_cant='$fecha' WHERE id_emp_fact = $id_emp_fact";
    $ACTFACTCan = $bdFactElectr->consulta("$sqlACTFACTCan");	
endif;

?>
<meta charset = "utf-8">
<meta http-equiv = "Content-Type" content = "text/html; charset = utf-8"/> 

<form name="ActCTAPin" id="ActCTAPin">
    <input type="hidden" id="id_cta" name="id_cta" value="<?=$id_cta?>"> 
	<input name="estadoUs" id="estadoUs" class="campo" value="<?=$estadoUs?>" type="hidden">
	<input name="id_fk_cliente_fact" id="id_fk_cliente_fact" class="campo" value="<?=$id_fk_cliente_fact?>" type="hidden">
	<input name="usuario_con" id="usuario_con" class="campo" value="<?=$usuario_con?>" type="hidden">
	<input name="enlace" id="enlace" class="campo" value="<?=$enlace?>" type="hidden">
</form>

<script type="text/javascript">
    alert('Actualizó correctamente en la base de datos');
    ocultar('#','modal');
    guardar('<?=$enlace?>','ActCTAPin','divDer2','cargando');
</script>

